# eoIncrementorParam< T > Class Template Reference

an eoUpdater that is an eoValueParam (and thus OWNS its counter) Mandatory for generation counter in make_checkpoint More...

`#include <eoUpdater.h>`

Inheritance diagram for eoIncrementorParam< T >:

List of all members.

## Public Member Functions

| eoIncrementorParam (std::string _name, T _stepsize=1)
| Default Ctor : a name and optionally an increment.
| eoIncrementorParam (std::string _name, T _countValue, T _stepsize)
| Ctor with a name and non-zero initial value and mandatory stepSize to remove ambiguity.
virtual void | operator() ()
| Simply increments.
virtual std::string | className (void) const

## Private Attributes

T | stepsize

## Detailed Description

### template<class T>
class eoIncrementorParam< T >

an eoUpdater that is an eoValueParam (and thus OWNS its counter) Mandatory for generation counter in make_checkpoint

Definition at line 71 of file eoUpdater.h.

The documentation for this class was generated from the following file:

- eoUpdater.h